---
import { Icon } from 'astro-icon';
import Logo from '~/components/atoms/Logo.astro';
import ToggleTheme from '~/components/core/ToggleTheme.astro';
import ToggleMenu from '~/components/core/ToggleMenu.astro';

import { getHomePermalink, getBlogPermalink, getPermalink, getRelativeLink } from '~/utils/permalinks';
---

<header
	class="sticky top-0 z-40 flex-none mx-auto w-full bg-white md:bg-white/90 dark:bg-slate-900 dark:md:bg-slate-900/90 md:backdrop-blur-sm"
	id="header"
>
	<div class="py-3 px-3 mx-auto w-full md:flex md:justify-between max-w-6xl md:px-4">
		<div class="flex justify-between">
			<a class="flex items-center" href={getHomePermalink()}>
				<Logo />
			</a>
			<div class="flex items-center md:hidden">
				<ToggleTheme />
				<ToggleMenu />
			</div>
		</div>
		<nav
			class="items-center w-full md:w-auto hidden md:flex text-gray-600 dark:text-slate-200 h-[calc(100vh-100px)] md:h-auto overflow-y-auto md:overflow-visible"
			aria-label="Main navigation"
		>
			<ul class="flex flex-col pt-8 md:pt-0 md:flex-row md:self-center w-full md:w-auto text-xl md:text-base">
				<li class="dropdown">
					<a
						class="font-medium hover:text-gray-900 dark:hover:text-white px-4 py-3 flex items-center transition duration-150 ease-in-out"
						href={getPermalink('donate', 'page')}
						>Donate
					</a>
				</li>
				<li>
					<a
						class="font-medium hover:text-gray-900 dark:hover:text-white px-4 py-3 flex items-center transition duration-150 ease-in-out"
						href={getPermalink('unityx-7-7-testing', 'post')}
						>UnityX 7.7
					</a>
				</li>
				<li>
					<a
						class="font-medium hover:text-gray-900 dark:hover:text-white px-4 py-3 flex items-center transition duration-150 ease-in-out"
						href={getPermalink('unity-7-7-peek', 'post')}
						>Unity 7.7
					</a>
				</li>
				<li>
					<a
						class="font-medium hover:text-gray-900 dark:hover:text-white px-4 py-3 flex items-center transition duration-150 ease-in-out"
						href={getBlogPermalink()}>Blog</a
					>
				</li>
				<li class="md:hidden">
					<a
						class="font-bold hover:text-gray-900 dark:hover:text-white px-4 py-3 flex items-center transition duration-150 ease-in-out"
						href="https://github.com/onwidget/astrowind"
						>Github
					</a>
				</li>
			</ul>
			<div class="md:self-center flex items-center mb-4 md:mb-0 ml-2">
				<div class="hidden items-center md:flex">
					<ToggleTheme iconClass="w-5 h-5" />
					<a
						class="text-gray-500 dark:text-gray-400 hover:bg-gray-100 dark:hover:bg-gray-700 focus:outline-none focus:ring-4 focus:ring-gray-200 dark:focus:ring-gray-700 rounded-lg text-sm p-2.5 inline-flex items-center"
						aria-label="RSS Feed"
						href={getRelativeLink('/rss.xml')}
					>
						<Icon name="tabler:rss" class="w-5 h-5" />
					</a>
					<a
						href="https://twitter.com/ubuntu_unity"
						class="inline-block text-gray-500 dark:text-gray-400 hover:bg-gray-100 dark:hover:bg-gray-700 focus:outline-none focus:ring-4 focus:ring-gray-200 dark:focus:ring-gray-700 rounded-lg text-sm p-2.5"
						aria-label="Unity Twitter"
					>
						<Icon name="tabler:brand-twitter" class="w-5 h-5" />
					</a>
				</div>
			</div>
		</nav>
	</div>
</header>
